'# MWS Version: Version 2010.0 - Nov 28 2009 - 01:45:52 - ACIS 20.0.0 -

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 0 fmax = 6


'@ use template: Antenna (Planar)

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
' Template for Antenna in Free Space
' ==================================
' (CSTxMWSxONLY)
' draw the bounding box
Plot.DrawBox True
' set units to mm, ghz
With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 
' set background material to vacuum
With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 
' set boundary conditions to open
With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With
' optimize mesh settings for planar structures
With Mesh 
     .MergeThinPECLayerFixpoints "True" 
     .RatioLimit "20" 
     .AutomeshRefineAtPecLines "True", "6"
     .FPBAAvoidNonRegUnite "True" 
     .ConsiderSpaceForLowerMeshLimit "False" 
     .MinimumStepNumber "5" 
End With 
' change mesh adaption scheme to energy 
' 		(planar structures tend to store high energy 
'     	 locally at edges rather than globally in volume)
MeshAdaption3D.SetAdaptionStrategy "Energy" 
' switch on FD-TET setting for accurate farfields
FDSolver.ExtrudeOpenBC "True"

'@ define material: FR-4 (lossy)

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Material
     .Reset
     .Name "FR-4 (lossy)"
.FrqType "all" 
.Type "Normal" 
.SetMaterialUnit "GHz", "mm"
.Epsilon "4.3" 
.Mue "1.0" 
.Kappa "0.0" 
.TanD "0.025" 
.TanDFreq "10.0" 
.TanDGiven "True" 
.TanDModel "ConstTanD" 
.KappaM "0.0" 
.TanDM "0.0" 
.TanDMFreq "0.0" 
.TanDMGiven "False" 
.TanDMModel "ConstKappa" 
.DispModelEps "None" 
.DispModelMue "None" 
.DispersiveFittingSchemeEps "General 1st" 
.DispersiveFittingSchemeMue "General 1st" 
.UseGeneralDispersionEps "False" 
.UseGeneralDispersionMue "False" 
.Rho "0.0" 
.ThermalType "Normal" 
.ThermalConductivity "0.3" 
.SetActiveMaterial "all" 
.Colour "0.94", "0.82", "0.76" 
.Wireframe "False" 
.Transparency "0" 
.Create
End With

'@ new component: component1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Component.New "component1"

'@ define brick: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Brick
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "FR-4 (lossy)" 
     .Xrange "-20", "20" 
     .Yrange "-20", "20" 
     .Zrange "0", "1.5" 
     .Create
End With

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "1"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "0.1", "-0.2" 
     .LineTo "20.1", "19.7" 
     .LineTo "0.15", "19.75" 
     .LineTo "-19.8", "19.8" 
     .LineTo "0.1", "-0.2" 
     .Create 
End With

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ heal all shapes

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.HealAllShapesAdvanced

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "0.2", "-0.1" 
     .LineTo "20.1", "19.7" 
     .LineTo "20.1", "-20.1" 
     .LineTo "0.2", "-0.1" 
     .Create 
End With

'@ new curve: curve2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve2"

'@ new curve: curve3

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve3"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ delete curve: curve2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve2"

'@ delete curve: curve3

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve3"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "1"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "0", "0" 
     .LineTo "20", "20" 
     .LineTo "20", "-20" 
     .LineTo "0", "0" 
     .Create 
End With

'@ define coverprofile: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With CoverCurve
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Curve "curve1:polygon1" 
     .Create
End With

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid2", "1"

'@ delete shape: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid1"

'@ delete shape: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid2"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "0", "0" 
     .LineTo "20", "20" 
     .LineTo "20", "-20" 
     .LineTo "0", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "-1.5" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:polygon1" 
     .Create
End With

'@ define brick: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Brick
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "FR-4 (lossy)" 
     .Xrange "-30", "30" 
     .Yrange "-30", "30" 
     .Zrange "0", "1.5" 
     .Create
End With

'@ delete shape: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid1"

'@ delete shape: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid2"

'@ define material: Arlon Cu 233LX (lossy)

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Material
     .Reset
     .Name "Arlon Cu 233LX (lossy)"
.FrqType "all" 
.Type "Normal" 
.SetMaterialUnit "GHz", "mm"
.Epsilon "2.33" 
.Mue "1.0" 
.Kappa "0.0" 
.TanD "0.0013" 
.TanDFreq "10.0" 
.TanDGiven "True" 
.TanDModel "ConstTanD" 
.KappaM "0.0" 
.TanDM "0.0" 
.TanDMFreq "0.0" 
.TanDMGiven "False" 
.TanDMModel "ConstKappa" 
.DispModelEps "None" 
.DispModelMue "None" 
.DispersiveFittingSchemeEps "General 1st" 
.DispersiveFittingSchemeMue "General 1st" 
.UseGeneralDispersionEps "False" 
.UseGeneralDispersionMue "False" 
.Rho "0.0" 
.ThermalType "Normal" 
.ThermalConductivity "0.258" 
.SetActiveMaterial "all" 
.Colour "0.94", "0.82", "0.76" 
.Wireframe "False" 
.Transparency "0" 
.Create
End With

'@ define brick: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Brick
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "Arlon Cu 233LX (lossy)" 
     .Xrange "-15.76", "15.76" 
     .Yrange "-17.41", "17.41" 
     .Zrange "0", "1.57" 
     .Create
End With

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "2"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ new curve: curve4

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve4"

'@ define curve polygon: curve4:polygon2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon2" 
     .Curve "curve4" 
     .Point "-4", "0" 
     .LineTo "-11.05", "12.7" 
     .LineTo "11.05", "12.7" 
     .LineTo "4", "0" 
     .LineTo "-4", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid3

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid3" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "-1.57" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve4:polygon2" 
     .Create
End With

'@ define facefrompick: face1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Face
     .Reset 
     .Name "face1" 
     .Type "PickFace" 
     .Offset "0.0" 
     .Create
End With

'@ new curve: curve5

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve5"

'@ delete curve: curve5

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve5"

'@ delete face: face1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Face.Delete "face1"

'@ delete curve: curve4

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve4"

'@ delete shape: component1:solid3

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid3"

''@ define curve polygon: curve1:polygon1
'
''[VERSION]2010.0|20.0.0|20091127[/VERSION]
'With Polygon 
'     .Reset 
'     .Name "polygon1" 
'     .Curve "curve1" 
'     .Point "--4", "0" 
'     .LineTo "-7.05", "12.7" 
'     .LineTo "7.05", "12.7" 
'     .LineTo "4", "0" 
'     .LineTo "-4", "0" 
'     .Create 
'End With
'
'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ delete component: component1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Component.Delete "component1"

'@ new component: component1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Component.New "component1"

'@ define brick: component1:substrate

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Brick
     .Reset 
     .Name "substrate" 
     .Component "component1" 
     .Material "Arlon Cu 233LX (lossy)" 
     .Xrange "-15.76", "15.76" 
     .Yrange "-17.41", "17.41" 
     .Zrange "0", "1.57" 
     .Create
End With

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "2"

'@ make shape from faces: component1:groundplane

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.CreateShapeFromFaces "groundplane", "component1", "PEC"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "4", "0" 
     .LineTo "11.05", "-12.7" 
     .LineTo "-11.05", "-12.7" 
     .LineTo "-4", "0" 
     .LineTo "0", "0" 
     .LineTo "4", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "0.035" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:polygon1" 
     .Create
End With

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ new curve: curve2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve2"

'@ define curve polygon: curve2:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve2" 
     .Point "4", "0" 
     .LineTo "11.05", "12.7" 
     .LineTo "-11.05", "12.7" 
     .LineTo "-4", "0" 
     .LineTo "0", "0" 
     .LineTo "4", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "Arlon Cu 233LX (lossy)" 
     .Thickness "0.035" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve2:polygon1" 
     .Create
End With

'@ delete shape: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid2"

'@ delete curve: curve2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve2"

'@ new curve: curve2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve2"

'@ delete curve: curve2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve2"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "4", "0" 
     .LineTo "11.05", "12.7" 
     .LineTo "-11.05", "12.7" 
     .LineTo "-4", "0" 
     .LineTo "-2", "0" 
     .LineTo "0", "0" 
     .LineTo "4", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "0.035" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:polygon1" 
     .Create
End With

'@ move wcs

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.MoveWCS "local", "45", "0.0", "0.0"

'@ delete shape: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid2"

'@ delete shape: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid1"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ switch working plane

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Plot.DrawWorkplane "true"

'@ move wcs

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.MoveWCS "local", "-45", "0.0", "0.0"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "-4", "0" 
     .LineTo "-11.05", "12.7" 
     .LineTo "11.05", "12.7" 
     .LineTo "4", "0" 
     .LineTo "-4", "0" 
     .Create 
End With

'@ define curve polygon: curve1:polygon2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon2" 
     .Curve "curve1" 
     .Point "-4", "0" 
     .LineTo "-11.05", "-12.7" 
     .LineTo "11.05", "-12.7" 
     .LineTo "4", "0" 
     .LineTo "0", "0" 
     .LineTo "-4", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "0.035" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:polygon1" 
     .Create
End With

'@ define extrudeprofile: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "0.035" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:polygon2" 
     .Create
End With

'@ switch working plane

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Plot.DrawWorkplane "false"

'@ delete shape: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid1"

'@ delete shape: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid2"

'@ delete curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.DeleteCurve "curve1"

'@ switch working plane

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Plot.DrawWorkplane "true"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ new curve: curve1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Curve.NewCurve "curve1"

'@ define curve polygon: curve1:polygon1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Polygon 
     .Reset 
     .Name "polygon1" 
     .Curve "curve1" 
     .Point "-4", "0" 
     .LineTo "-11.05", "12.7" 
     .LineTo "11.05", "12.7" 
     .LineTo "4", "0" 
     .LineTo "11.05", "-12.7" 
     .LineTo "-11.05", "-12.7" 
     .LineTo "-4", "0" 
     .Create 
End With

'@ define extrudeprofile: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With ExtrudeCurve
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "0.035" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:polygon1" 
     .Create
End With

'@ rename block: component1:solid1 to: component1:patch

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Rename "component1:solid1", "patch"

'@ switch working plane

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Plot.DrawWorkplane "false"

'@ define cylinder: component1:inner

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Cylinder 
     .Reset 
     .Name "inner" 
     .Component "component1" 
     .Material "PEC" 
     .OuterRadius "0.45" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "-1.5-0.035-0.5" 
     .Xcenter "0" 
     .Ycenter "-10" 
     .Segments "0" 
     .Create 
End With 


'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:inner", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:inner", "1"

'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ define material: Teflon (PTFE) (lossy)

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Material
     .Reset
     .Name "Teflon (PTFE) (lossy)"
.FrqType "all" 
.Type "Normal" 
.SetMaterialUnit "GHz", "mm"
.Epsilon "2.1" 
.Mue "1.0" 
.Kappa "0.0" 
.TanD "0.0002" 
.TanDFreq "10.0" 
.TanDGiven "True" 
.TanDModel "ConstTanD" 
.KappaM "0.0" 
.TanDM "0.0" 
.TanDMFreq "0.0" 
.TanDMGiven "False" 
.TanDMModel "ConstKappa" 
.DispModelEps "None" 
.DispModelMue "None" 
.DispersiveFittingSchemeEps "General 1st" 
.DispersiveFittingSchemeMue "General 1st" 
.UseGeneralDispersionEps "False" 
.UseGeneralDispersionMue "False" 
.Rho "2200.0" 
.ThermalType "Normal" 
.ThermalConductivity "0.2"
.SetActiveMaterial "all" 
.MechanicsType "Isotropic"
.YoungsModulus "0.5"
.PoissonsRatio "0.4"
.ThermalExpansionRate "140"
.Colour "0.94", "0.82", "0.76" 
.Wireframe "False" 
.Transparency "0" 
.Create
End With

'@ define cylinder: component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Cylinder 
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "Teflon (PTFE) (lossy)" 
     .OuterRadius "1.475" 
     .InnerRadius "0.45" 
     .Axis "z" 
     .Zrange "0", "-0.5" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "2"

'@ make shape from faces: component1:outer conductor

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.CreateShapeFromFaces "outer conductor", "component1", "PEC"

'@ boolean insert shapes: component1:groundplane, component1:inner

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Solid 
     .Version 9
     .Insert "component1:groundplane", "component1:inner" 
     .Version 1
End With

'@ boolean insert shapes: component1:groundplane, component1:outer conductor

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Solid 
     .Version 9
     .Insert "component1:groundplane", "component1:outer conductor" 
     .Version 1
End With

'@ boolean insert shapes: component1:groundplane, component1:solid1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Solid 
     .Version 9
     .Insert "component1:groundplane", "component1:solid1" 
     .Version 1
End With

'@ boolean insert shapes: component1:substrate, component1:inner

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Solid 
     .Version 9
     .Insert "component1:substrate", "component1:inner" 
     .Version 1
End With

'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "3"

'@ define port: 1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-2.975", "-0.025" 
     .Yrange "-1.475", "1.475" 
     .Zrange "-0.465", "-0.465" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define frequency range

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solver.FrequencyRange "0", "6"

'@ define solver parameters

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "All"
     .StimulationMode "All"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .AutoNormImpedance "False"
     .NormingImpedance "50"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
End With

'@ set pba mesh type

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Mesh.MeshType "PBA" 

'@ define frequency range

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solver.FrequencyRange "0", "6" 


'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "3" 


'@ define port: 2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-4.975", "-2.025" 
     .Yrange "-1.475", "1.475" 
     .Zrange "-0.465", "-0.465" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With 


'@ define frequency range

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solver.FrequencyRange "0", "6" 


'@ delete port: port1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Port.Delete "1" 


'@ delete port: port2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Port.Delete "2" 


'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:solid1", "3" 


'@ define port: 1

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.475", "1.475" 
     .Yrange "-11.475", "-8.525" 
     .Zrange "-0.465", "-0.465" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With 


'@ pick face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Pick.PickFaceFromId "component1:substrate", "4" 


'@ align wcs with face

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ define brick: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
With Brick
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-13", "-3" 
     .Yrange "-2", "2" 
     .Zrange "0", "0.035" 
     .Create
End With


'@ delete shape: component1:solid2

'[VERSION]2010.0|20.0.0|20091127[/VERSION]
Solid.Delete "component1:solid2" 


